### Method

# Gtk Entryset_visibility

#### Declaration [src]

    void
    gtk_entry_set_visibility (
      GtkEntry* entry,
      gboolean visible
    )

#### Description [src]

Sets whether the contents of the entry are visible or not.

When visibility is set to `FALSE`, characters are displayed as the invisible char, and will also appear that way when the text in the entry widget is copied elsewhere.

By default, GTK picks the best invisible character available in the current font, but it can be changed with `gtk_entry_set_invisible_char()`.

Note that you probably want to set `GtkEntry:input-purpose` to `GTK_INPUT_PURPOSE_PASSWORD` or `GTK_INPUT_PURPOSE_PIN` to inform input methods about the purpose of this entry, in addition to setting visibility to `FALSE`.

Sets property | `Gtk.Entry:visibility`

#### Parameters

`visible`

  Type: `gboolean`

  `TRUE` if the contents of the entry are displayed as plaintext.